<?xml version="1.0" encoding="UTF-8"?>
<!-- Document owner: Charles Hoffman, UBmatrix CharlesHoffman@olywa.net -->
<!-- FRTA Conformance Suite Testcases Stylesheet -->
<!-- Copyright 2004 XBRL International. All Rights Reserved. -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" exclude-result-prefixes="fo">

   <xsl:template match="testcases">
      <html>
         <head>
            <title><xsl:value-of select="@name"/></title>
            <style>
              body {font-family:Arial;font-size:10pt;font-weight:normal;color:black;text-align:left;vertical-align:top;background-color:white;}
              th {font-family:Arial;font-size:10pt;font-weight:bold;color:black;text-align:left;vertical-align:top;background-color:white;}
              h1 {font-family:Arial;font-size:12pt;font-weight:bold;color:black;text-align:left;vertical-align:top;margin-top:-10px;}
              .Blank {visibility:hidden;}
            </style>
         </head>
         <body>
            <h1><xsl:value-of select="@name"/></h1>
            <h1>As of date: <xsl:value-of select="@date"/></h1>
            
            <table border="1" cellpadding='1' cellspacing='1'>
               <col width='50' />
               <col width='50' />
               <col width='300' />
               <col width='250' />
               <col width='300' />
               <tbody>
                <tr>
                   <th>Test ID <span style="font-size:8pt">(*=Full)</span></th>
                   <th><center># of Variations</center></th>
                   <th>Name</th>
                   <th>Owner</th>
                   <th>Description</th>
                </tr>
                   <!-- now just generate one row per test set -->
                   <xsl:apply-templates select="node()"/>
               </tbody>
            </table>
        </body>
     </html>
  </xsl:template>

  <xsl:template match="testcase">
        <xsl:variable name="uri" select="@uri"/>
        <tr>
           <td>
               <xsl:value-of select="document($uri)/testcase/@id"/>
               <xsl:if test="document($uri)/testcase/@minimal='false'">*</xsl:if>
           </td>
           <td align="right">
               <xsl:variable name="variations" select="count(document($uri)/testcase/variation)"/>
               <xsl:value-of select="$variations"/>
           </td>
           <td>
               <xsl:element name="a">
                   <xsl:attribute name="href"><xsl:value-of select="@uri"/></xsl:attribute>
                   <xsl:value-of select="document($uri)/testcase/@name"/>
               </xsl:element>
           </td>
           <td>
               <xsl:element name="a">
                   <xsl:variable name="owner" select="document($uri)/testcase/@owner"/>
                   <xsl:attribute name="href">mailto:<xsl:value-of select="$owner"/></xsl:attribute>
                   <xsl:value-of select="$owner"/>
               </xsl:element>
           </td>
           <td>
               <xsl:variable name="description" select="document($uri)/testcase/@description"/>
               <xsl:value-of select="$description"/>
           </td>
        </tr>
  </xsl:template>
   <xsl:template match="node()"/>
</xsl:stylesheet>
